Mex file gcc compiler issue Ubuntu

Tagged: ,

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #11621
    Amal
    Participant

    Hi, I was working on the 5G link level simulator on my mac for initial tests. for final simulation I am using a ubuntu 18.04 based machine with matlab 2018b. The issue is that mex file needs to be recompiled for my new environment but the version of gcc being supported by matlab 2018b on Ubuntu is version 6.3.x while my ubuntu 18.04 has 7.3, hence i am not able to compile the mex files. Version 6.3 is no longer available. Is there a workaround for this? Any help will be appreciated.

    Thanks,
    Amal

    #11622

    Dear Amal,

    in general, this is a problem of support by Mathworks. We do not have a direct influence on that issue. However, I can understand that the support of GCC versions with Matlab is an issue for the compilation of MEX files.

    I also had this issue once, when running a Vienna Simulator on Ubuntu. Back at the time, I think I used Ubuntu 15 or something, however, I made it work. I think the only solution is to install the highest GCC version that is supported by Matlab, although it is very old. Please consider a solution like this
    https://askubuntu.com/questions/1096258/how-to-install-gcc-6-3-0-on-ubuntu-18-04

    best
    Stefan

    #11626
    Amal
    Participant

    Thanks for prompt reply Stefan, I was able to solve the issue from your provided link.

Viewing 3 posts - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.